[CP2K:7448] libxc versions 2.2.2 and above

SaeeD PourasaD saeedp... at gmail.com
Wed Feb 24 03:10:19 CET 2016


Dear Mr.Bethune , 

Thanks for your reply . 
With your kind attention I could pass that error but now I have this one :  

gfortran: error: /libscalapack-gnu.a: No such file or directory
gfortran: error: /lib/libacml.a: No such file or directory
gfortran: error: /fftw/3.3-gnu/lib64/libfftw3.a: No such file or directory
gfortran: error: /libxc/2.2.0-gnu/lib64/libxcf90.a: No such file or 
directory
gfortran: error: /libxc/2.2.0-gnu/lib64/libxc.a: No such file or directory
gfortran: error: /libint/1.1.4-LARGE_L-gnu/lib64/libderiv.a: No such file 
or directory
gfortran: error: /libint/1.1.4-LARGE_L-gnu/lib64/libint.a: No such file or 
directory
make[3]: *** [/home/saeed/cp2k/cp2k/exe/Linux-x86-64-gfortran/graph.popt] 
Error 1
make[3]: *** Waiting for unfinished jobs....
make[2]: *** [all] Error 2
make[1]: *** [popt] Error 2
make: *** [all] Error 2

I have installed OpenBlas Scalapack fftw3 libint libxc  on my computer .
Can you please let me know what the problem is ? 
Best Regards,
Saeed.

On Wednesday, February 24, 2016 at 12:27:22 AM UTC+9, IBethune wrote:
>
> Hi Saeed, 
>
> The syntax for the include should be: 
>
> > -I/home/saeed/libxc-2.2.2/INCLUDE 
>
> and I guess probably lower-case include rather than INCLUDE. 
>
> You also will need to force a recompile of the libxc files, the easiest 
> way to do that is run: 
>
> touch /path/to/cp2k/src/xc/* 
>
> Then run your make again. 
>
> - Iain 
>
> -- 
>
> Iain Bethune 
> Project Manager, EPCC 
>
> Email: ibe... at epcc.ed.ac.uk <javascript:> 
> Twitter: @IainBethune @PrimeGrid @CP2Kproject 
> Web: http://www2.epcc.ed.ac.uk/~ibethune 
> Tel/Fax <http://www2.epcc.ed.ac.uk/~ibethuneTel/Fax>: +44 (0)131 650 
> 5201/6555 
> Mob: +44 (0)7598317015 
> Addr: 2404 JCMB, The King's Buildings, Peter Guthrie Tait Road, Edinburgh, 
> EH9 3FD 
>
> > On 23 Feb 2016, at 08:33, SaeeD PourasaD <saee... at gmail.com 
> <javascript:>> wrote: 
> > 
> > Dear CP2K users , 
> > 
> > I want to install CP2K but I get this error : 
> > 
> >   This version of CP2K ONLY works with libxc versions 2.2.2 and above. 
> > 
> > I added libxc directory in Linux-x86-64-gfortran.popt file in Arch 
> directory : 
> > 
> > FCFLAGS    = $(DFLAGS) -O2 -ffast-math -ffree-form 
> -ffree-line-length-none\ 
> >              -ftree-vectorize -funroll-loops\ 
> >              -mtune=native\ 
> >              -I$(ACML_INC) -I$(FFTW_INC) -I$(LIBINT_INC) 
> -I$(/home/saeed/libxc-2.2.2)/INCLUDE -I$(LIBXC_INC) 
> > 
> > 
> > But again I get this error ! can you please help me about that ? 
> > 
> > Best Regards, 
> > Saeed. 
> > 
> > -- 
> > You received this message because you are subscribed to the Google 
> Groups "cp2k" group. 
> > To unsubscribe from this group and stop receiving emails from it, send 
> an email to cp2k+... at googlegroups.com <javascript:>. 
> > To post to this group, send email to cp... at googlegroups.com 
> <javascript:>. 
> > Visit this group at https://groups.google.com/group/cp2k. 
> > For more options, visit https://groups.google.com/d/optout. 
>
>
> -- 
> The University of Edinburgh is a charitable body, registered in 
> Scotland, with registration number SC005336. 
>
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.cp2k.org/archives/cp2k-user/attachments/20160223/47268d57/attachment.html>


More information about the CP2K-user mailing list